- Qt 5.0
- Qt 5.0.0 Reference Documentation

# VisualReminder QML Type

The VisualReminder element contains information about a visual reminder of an item. More...

Import Statement: | import QtOrganizer 5.0
Inherits: | Reminder

- List of all members, including inherited members

## Properties

- dataUrl : url
- message : string

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- VisualReminder.FieldRepetitionCount
- VisualReminder.FieldRepetitionDelay
- VisualReminder.FieldSecondsBeforeStart
- VisualReminder.FieldDataUrl
- VisualReminder.FieldMessage

See also Reminder and QOrganizerItemVisualReminder.

## Property Documentation

dataUrl : url

This property holds the url of the visual data which the user wishes to be displayed as part of the reminder.

message : string

This property holds the message which the user wishes to be displayed as part of the reminder.

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.